require( "scripts/style.lua" );

TitleFont = {
  standardFont,
  70,
  BlackColor
};

NewNameFont = {
  standardFont,
  24,
  WhiteColor
};

NameFont = {
  standardFont,
  24,
  BlackColor
};

HeaderFont = {
  standardFont,
  48,
  BlackColor
};

local playername = gEnterNameValue;
local deleteselected = false;

if not playername or playername=="" then
	deleteselected = true;
	playername = GetString("enternameprompt") ;
end


MakeDialog
{

	Bitmap
        {
            image="backgrounds/background_folhas",
            alpha = true,
            x=kCenter,
            y=kCenter,
        },

	Bitmap
	{
		image="backgrounds/Window05",
		x=kCenter,
		y=kCenter,
		
		TextEdit
		{
			font = NewNameFont,
			name = "nameedit",
			label = playername,
			enablewindow = "enterok",
			clearinitial = deleteselected,
			x=148,y=142,w=kMax-3,h=kMax,
			length=12,
			ignore = kIllegalNameChars
		};
		
		
		Button
		{
			x=62,
			y=-120,
			font = StandardButtonFont,
			graphics = BigButtonGraphics,
			name="enterok",
			label="ok",
			type = kPush,
			sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			default=true,	-- Make this the default button
			command =
				function()
					local newname = GetLabel("nameedit");
					if (newname ~= playername and IsNameInUse(newname)) then
						DisplayDialog {
							"scripts/ok.lua",
							body ="nameinuse",
							title = ""
						};
						SetFocus( "nameedit" )
					else
						CloseWindow(GetLabel("nameedit"));
					end
				end
		},
		
		Button
		{
			x=235,
			y=-120,
			font = StandardButtonFont,
			graphics = BigButtonGraphics,
			name="entercancel",
			label="cancel",
			type = kPush,
			sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			command = 
				function()
					CloseWindow(nil);
				end
			
		};
	},

}

SetFocus( "nameedit" );

if (deleteselected) then
	EnableWindow("enterok", false);
end


