require( "scripts/style.lua" );

SliderFont = {
  standardFont,
  16,
  BlackColor
};


MakeDialog
{
	-- Name the modal dialog
	name="optionsmenu",

	Bitmap
        {
            image="backgrounds/background_folhas",
            alpha = true,
            x=kCenter,
            y=kCenter,
        },

	Bitmap
	{
		image="backgrounds/window04",
		x = kCenter,
		y = kCenter,
		
		OptionsWindow
		{
			x=0,y=0,w=kMax,h=kMax,
			--[[
			Text
			{
				font = SliderFont,
				name = "sfx",
				x=20,y=40,w=50,h=50,
				flags = kHAlignCenter + kVAlignCenter,
				label = "sfxlevel"
			};
		
			Text
			{
				font = SliderFont,
				name = "music",
				x=20,y=110,w=50,h=50,
				flags = kHAlignCenter + kVAlignCenter,
				label = "musiclevel"
			};
			]]--

			SetStyle(CheckboxButtonStyle),			
			Button{
				name="fullscreen",
				x=100,
				y=225,
				--graphics = CheckboxButtonGraphics,
				sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				w=220,
				Text
				{
					font = StandardButtonFont,
					name = "fullscreenlabel",
					x=54,
					y=25,
					w=350,
					h=100,
					--w=150,
					--h=50,
					flags = kHAlignLeft + kVAlignTop,
					label="fullscreen",
				};
				command=
				function()
					if (ToggleFullScreen() == false) then
						DisplayDialog { 
							"scripts/ok.lua", 
							body ="screenswitchfailed",
							title = "playground" 
						};
					end
				end
				
			};
			
			Button{
				name="mutebox",
				x=305,
				y=225,
				--graphics = CheckboxButtonGraphics,
				sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				w=220,
				Text
				{
					font = StandardButtonFont,
					name = "mutesoundlabel",
					x=54,
					y=25,
					w=350,
					h=100,
					--w=150,
					--h=50,
					flags = kHAlignLeft + kVAlignTop,
					label="mutesound",
				};
				command =
					function()
						ToggleSoundMute();
					end
			};

			Button
			{
				x = kCenter-105,
				y = kMax-125,
				name="back",
				graphics=BigButtonGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				label="back",
				type = kPush,
				command =
					function()
						SaveVolumes();
						PopModal("optionsmenu");
					end
			},
			
			Button
			{
				x = kCenter+105,
				y = kMax-125,
				name="credits",
				graphics=BigButtonGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				label="credits",
				type = kPush,
				command =
					function()
						DoModal("scripts/credits.lua");
					end
			},


			SetStyle(SliderStyle),
			Slider
			{
				name="sfxlevelslider",
				x = 213,
				y = 169,
				w = 270,
			};
			
			Slider
			{
				name="musiclevelslider",
				x = 213,
				y = 99,
				w = 270,
			};
			
			Bitmap
			{
				image="backgrounds/options_plants01",
				x = kCenter+170,
				y = 97,
			};

			Bitmap
			{
				image="backgrounds/options_plants02",
				x = kCenter+192,
				y = 167,
			};

		},
	},
}