--
--

require( "scripts/style.lua" );

-- The "Twodemos" game handles its messages in Lua, unlike the "TGame" game
-- which handles them in C++.
function SendGameMessage( msg )
	if msg=="quit" then
		QuitToMainMenu();
	end
end

ToolImageGroup =
{
	name="ToolImageGroup",
	x=0,
	y=0,
	w=800,
	h=600,

	Bitmap 
	{
		x=0,
		y=0,
		name="ShovelImg",
		image="buttons/shop_shovel_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="WateringImg",
		image="buttons/shop_watering_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SqueegeImg",
		image="buttons/shop_aqueege_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="GarbageImg",
		image="buttons/shop_garbage_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BrickImg",
		image="buttons/shop_brick_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedGrassImg",
		image="buttons/shop_seed_grass_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedAfricanlilyImg",
		image="buttons/shop_seed_africanlily_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedDaisyImg",
		image="buttons/shop_seed_daisy_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedLupinImg",
		image="buttons/shop_seed_lupin_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedNarcissusImg",
		image="buttons/shop_seed_narcissus_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedRoseImg",
		image="buttons/shop_seed_rose_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedSunflowerImg",
		image="buttons/shop_seed_sunflower_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedTulipImg",
		image="buttons/shop_seed_tulip_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedZantedeschiaImg",
		image="buttons/shop_seed_zantedeschia_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedBushImg",
		image="buttons/shop_seed_bush_a_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedBushFernImg",
		image="buttons/shop_seed_fern_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedBushHostaImg",
		image="buttons/shop_seed_hosta_gold_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SproutCedarImg",
		image="buttons/shop_sprout_cedar_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SproutPalmImg",
		image="buttons/shop_sprout_date_palm_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SproutElmImg",
		image="buttons/shop_sprout_field_elm_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SproutJacarandaImg",
		image="buttons/shop_sprout_jacaranda_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SproutMapleImg",
		image="buttons/shop_sprout_red_maple_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="IrrigatiorImg",
		image="buttons/shop_irrigation_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="WellImg",
		image="buttons/shop_well_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TrashImg",
		image="buttons/shop_trash_a_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TrashRecycleImg",
		image="buttons/shop_trash_b_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BenchImg",
		image="buttons/shop_bench_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatueBearImg",
		image="buttons/shop_statue_bear_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatueLionImg",
		image="buttons/shop_statue_lion_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatuePeasantImg",
		image="buttons/shop_statue_peasant_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FountainSmallImg",
		image="buttons/shop_fountain_small_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FountainDolphinImg",
		image="buttons/shop_fountain_dolphin_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="LemonadeImg",
		image="buttons/shop_lemonade_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="HotDogImg",
		image="buttons/shop_hot_dog_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="ToyImg",
		image="buttons/shop_toy_03",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TshirtImg",
		image="buttons/shop_tshirt_03",
	},
};

ToolGroup =
{
	name="ToolGroup",
	x=0,
	y=0,
	w=500,
	h=85,

	Button
	{
		x=0,
		y=0,
		graphics = ShovelButtonGraphics,
		name="ShovelButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("shovel");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedBushButtonGraphics,
		name="SeedBushButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedbush");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SeedBushFernSagoPalmButtonGraphics,
		name="SeedBushFernSagoPalmButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seed_bush_fern_sago_palm");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SeedBushHostaGoldButtonGraphics,
		name="SeedBushHostaGoldButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seed_bush_hosta_gold");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedDaisyButtonGraphics,
		name="SeedDaisyButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seeddaisy");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedLupinButtonGraphics,
		name="SeedLupinButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedlupin");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedNarcissusButtonGraphics,
		name="SeedNarcissusButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seednarcissus");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedRoseButtonGraphics,
		name="SeedRoseButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedrose");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedSunflowerButtonGraphics,
		name="SeedSunflowerButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedsunflower");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedTulipButtonGraphics,
		name="SeedTulipButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedtulip");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedZantedeschiaButtonGraphics,
		name="SeedZantedeschiaButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedzantedeschia");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SeedLilyButtonGraphics,
		name="SeedLilyButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedlily");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedGrassButtonGraphics,
		name="SeedGrassButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("seedgrass");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = TreeElmButtonGraphics,
		name="TreeElmButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("tree_elm");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreePalmButtonGraphics,
		name="TreePalmButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("tree_palm");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreeJacarandaButtonGraphics,
		name="TreeJacarandaButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("tree_jacaranda");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreeMapleButtonGraphics,
		name="TreeMapleButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("tree_maple");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreeCedarButtonGraphics,
		name="TreeCedarButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("tree_cedar");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = WateringCanButtonGraphics,
		name="WateringCanButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("wateringcan");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = BrickButtonGraphics,
		name="BrickButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("brick");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SqueegeButtonGraphics,
		name="SqueegeButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("squeege");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = StatueBearButtonGraphics,
		name="StatueBearButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("bearstatue");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = StatueLionButtonGraphics,
		name="StatueLionButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("lionstatue");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = StatuePeasantButtonGraphics,
		name="StatuePeasantButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("peasantstatue");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SmallFountainButtonGraphics,
		name="SmallFountainButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("smallfountain");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = BigFountainButtonGraphics,
		name="BigFountainButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("bigfountain");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = IrrigatorButtonGraphics,
		name="IrrigatorButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("irrigation");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = LemonadeButtonGraphics,
		name="LemonadeButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("lemonade");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = HotDogButtonGraphics,
		name="HotDogButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("hotdog");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TShirtButtonGraphics,
		name="TShirtButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("tshirt");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = ToyButtonGraphics,
		name="ToyButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("toy");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = BenchButtonGraphics,
		name="BenchButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("bench");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = WellButtonGraphics,
		name="WellButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("well");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = TrashCanButtonGraphics,
		name="TrashCanButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("trashcan");
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = RecyclingTrashCanButtonGraphics,
		name="RecyclingTrashCanButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("recyclingcan");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = GarbageBagButtonGraphics,
		name="GarbageBagButton",
		label="",
		type = kPush,
		command=
			function()
				CPP_SetBuyMode(true);
				CPP_BuyItem("garbagebag");
			end
	},
};

ToolGroup2 =
{
	name="ToolGroup2",
	x=0,
	y=0,
	w=500,
	h=85,

	Button
	{
		x=0,
		y=0,
		graphics = ShovelButtonGraphics2,
		name="ShovelButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedBushButtonGraphics2,
		name="SeedBushButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SeedBushFernSagoPalmButtonGraphics2,
		name="SeedBushFernSagoPalmButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SeedBushHostaGoldButtonGraphics2,
		name="SeedBushHostaGoldButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedDaisyButtonGraphics2,
		name="SeedDaisyButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedLupinButtonGraphics2,
		name="SeedLupinButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedNarcissusButtonGraphics2,
		name="SeedNarcissusButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedRoseButtonGraphics2,
		name="SeedRoseButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedSunflowerButtonGraphics2,
		name="SeedSunflowerButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedTulipButtonGraphics2,
		name="SeedTulipButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedZantedeschiaButtonGraphics2,
		name="SeedZantedeschiaButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SeedLilyButtonGraphics2,
		name="SeedLilyButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = SeedGrassButtonGraphics2,
		name="SeedGrassButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = TreeElmButtonGraphics2,
		name="TreeElmButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreePalmButtonGraphics2,
		name="TreePalmButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreeJacarandaButtonGraphics2,
		name="TreeJacarandaButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreeMapleButtonGraphics2,
		name="TreeMapleButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TreeCedarButtonGraphics2,
		name="TreeCedarButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = WateringCanButtonGraphics2,
		name="WateringCanButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = BrickButtonGraphics2,
		name="BrickButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SqueegeButtonGraphics2,
		name="SqueegeButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = StatueBearButtonGraphics2,
		name="StatueBearButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = StatueLionButtonGraphics2,
		name="StatueLionButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = StatuePeasantButtonGraphics2,
		name="StatuePeasantButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = SmallFountainButtonGraphics2,
		name="SmallFountainButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = BigFountainButtonGraphics2,
		name="BigFountainButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = IrrigatorButtonGraphics2,
		name="IrrigatorButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = LemonadeButtonGraphics2,
		name="LemonadeButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = HotDogButtonGraphics2,
		name="HotDogButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = TShirtButtonGraphics2,
		name="TShirtButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = ToyButtonGraphics2,
		name="ToyButton2",
		label="",
		type = kPush,
		command=
			function()

			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = BenchButtonGraphics2,
		name="BenchButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = WellButtonGraphics2,
		name="WellButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = TrashCanButtonGraphics2,
		name="TrashCanButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},

	Button
	{
		x=0,
		y=0,
		graphics = RecyclingTrashCanButtonGraphics2,
		name="RecyclingTrashCanButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = GarbageBagButtonGraphics2,
		name="GarbageBagButton2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
};

NewShop =
{
	name="NewShop",
	x=0,
	y=0,
	w=800,
	h=600,
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton01Graphics,
		name="NewShopItemButton01",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton02Graphics,
		name="NewShopItemButton02",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton03Graphics,
		name="NewShopItemButton03",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton04Graphics,
		name="NewShopItemButton04",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton05Graphics,
		name="NewShopItemButton05",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton06Graphics,
		name="NewShopItemButton06",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton07Graphics,
		name="NewShopItemButton07",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton01Graphics2,
		name="NewShopItemButton01_2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton02Graphics2,
		name="NewShopItemButton02_2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton03Graphics2,
		name="NewShopItemButton03_2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton04Graphics2,
		name="NewShopItemButton04_2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton05Graphics2,
		name="NewShopItemButton05_2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton06Graphics2,
		name="NewShopItemButton06_2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = NewShopItemButton07Graphics2,
		name="NewShopItemButton07_2",
		label="",
		type = kPush,
		command=
			function()
			end
	},
	
};

ToolIconGroup =
{
	name="ToolIconGroup",
	x=0,
	y=0,
	w=800,
	h=800,

	Bitmap 
	{
		x=0,
		y=0,
		name="ShovelIcon",
		image="backgrounds/shovel_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BrickIcon",
		image="backgrounds/brick_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SqueegeIcon",
		image="backgrounds/squeege_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="GarbageIcon",
		image="backgrounds/garbage_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="WateringIcon",
		image="backgrounds/watering_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerDaisyIcon",
		image="backgrounds/flower_daisy_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerLupinIcon",
		image="backgrounds/flower_lupin_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerAfricanlilyIcon",
		image="backgrounds/flower_africanlily_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerNarcissusIcon",
		image="backgrounds/flower_narcissus_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerRoseIcon",
		image="backgrounds/flower_rose_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerSunflowerIcon",
		image="backgrounds/flower_sunflower_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerTulipsIcon",
		image="backgrounds/flower_tulips_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="FlowerZantedeschiaIcon",
		image="backgrounds/flower_zantedeschia_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="GrassIcon",
		image="backgrounds/grass_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BushIcon",
		image="backgrounds/bush_a_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BushFernIcon",
		image="backgrounds/bush_fern_sago_palm_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BushHostaIcon",
		image="backgrounds/bush_hosta_gold_standard_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeFieldIcon",
		image="backgrounds/tree_field_elm_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreePalmIcon",
		image="backgrounds/tree_date_palm_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeCedarIcon",
		image="backgrounds/tree_cedar_do_lebanon_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeSunsetIcon",
		image="backgrounds/tree_red_sunset_maplem_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeJacarandaIcon",
		image="backgrounds/tree_jacaranda_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="WellIcon",
		image="backgrounds/well_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TrashIcon",
		image="backgrounds/trash_a_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="RecycleTrashgIcon",
		image="backgrounds/trash_b_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="IrrigationIcon",
		image="backgrounds/irrigation_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BenchIcon",
		image="backgrounds/chair_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="HotDogIcon",
		image="backgrounds/store_hot_dog_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="LemonadeIcon",
		image="backgrounds/store_lemonade_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TShirtIcon",
		image="backgrounds/store_t_shirt_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="ToyIcon",
		image="backgrounds/store_toy_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatueLionIcon",
		image="backgrounds/statue_lion_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatueBearIcon",
		image="backgrounds/statue_bear_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatuePeasantIcon",
		image="backgrounds/statue_peasant_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SmallFountainIcon",
		image="backgrounds/fountain_small_icon",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="DolphinFountainIcon",
		image="backgrounds/fountain_dolphin_icon",
	},
};

MedalGroup =
{
	name="MedalGroup",
	x=0,
	y=y,
	w=800,
	h=800,			

	Bitmap
	{
		name="BronzeMedalSmall",
		image="backgrounds/medal_bronze_medio",
    },

	Bitmap
    {
       name="SilverMedalSmall",
       image="backgrounds/medal_silver_medio",

    },

	Bitmap
    {
       name="GoldMedalSmall",
       image="backgrounds/medal_gold_medio",
    },
};

CertIconMsgGroup =
{
	name="CertIconMsgGroup",
	x=0,
	y=0,
	w=800,
	h=800,

	Bitmap 
	{
		x=0,
		y=0,
		name="CertGardIconMsg",
		image="backgrounds/Cert_Gardening_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardBotIconMsg",
		image="backgrounds/Award_Botanic_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardFlorIconMsg",
		image="backgrounds/Award_Floriculture_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="CertLandIconMsg",
		image="backgrounds/Cert_Landscape_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardLandIconMsg",
		image="backgrounds/Award_Landscape_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardGardIconMsg",
		image="backgrounds/Award_Garden_Arts_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="CertTourIconMsg",
		image="backgrounds/Cert_Tourism_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardPopIconMsg",
		image="backgrounds/Award_Popularity_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardQuaIconMsg",
		image="backgrounds/Award_Quality_Services_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="CertAmbIconMsg",
		image="backgrounds/Cert_Ambiental_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardRecIconMsg",
		image="backgrounds/Award_Recycling_Small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="AwardAmbIconMsg",
		image="backgrounds/Award_Ambiental_Small",
	},
};

ToolIconMsgGroup =
{
	name="ToolIconMsgGroup",
	x=0,
	y=0,
	w=800,
	h=800,

	Bitmap 
	{
		x=0,
		y=0,
		name="ShovelIconMsg",
		image="backgrounds/message_shovel",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SqueegeIconMsg",
		image="backgrounds/message_squeege",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="GarbageBagIconMsg",
		image="backgrounds/message_garbage",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="IrrigatorIconMsg",
		image="backgrounds/message_irrigation",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TrashCanIconMsg",
		image="backgrounds/message_store_trash_a",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="RecycleCanIconMsg",
		image="backgrounds/message_store_trash_b",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedBushIconMsg",
		image="backgrounds/message_bush_Hedge",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedBushFernIconMsg",
		image="backgrounds/message_bush_Sago_palm",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedBushHostaIconMsg",
		image="backgrounds/message_bush_Hosta",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedLilyIconMsg",
		image="backgrounds/message_flower_African_lily",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedNarcissusIconMsg",
		image="backgrounds/message_flower_Narcissus",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedTulipIconMsg",
		image="backgrounds/message_flower_Tulip",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedLupinIconMsg",
		image="backgrounds/message_flower_Lupin",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedSunflowerIconMsg",
		image="backgrounds/message_flower_Sunflower",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedRoseIconMsg",
		image="backgrounds/message_flower_Rose",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SeedZantedeschiaIconMsg",
		image="backgrounds/message_flower_Calla_lily",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreePalmIconMsg",
		image="backgrounds/message_tree_Date_palm",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeElmIconMsg",
		image="backgrounds/message_tree_Field_elm",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeCedarIconMsg",
		image="backgrounds/message_tree_Lebanon_Cedar",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeRedIconMsg",
		image="backgrounds/message_tree_Red_maple",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TreeJacarandaIconMsg",
		image="backgrounds/message_tree_Jacaranda",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatueBearIconMsg",
		image="backgrounds/message_statue_bear",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatueLionIconMsg",
		image="backgrounds/message_statue_lion",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="StatuePeasantIconMsg",
		image="backgrounds/message_statue_peasant",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="SmallFountainIconMsg",
		image="backgrounds/message_fontain_small",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BigFountainIconMsg",
		image="backgrounds/message_fontain_dolphin",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="LemonadeIconMsg",
		image="backgrounds/message_store_lemonade",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="HotDogIconMsg",
		image="backgrounds/message_store_hot_dog",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="TShirtIconMsg",
		image="backgrounds/message_store_t-shirt",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="ToyIconMsg",
		image="backgrounds/message_store_toy",
	},
	
	Bitmap 
	{
		x=0,
		y=0,
		name="BenchIconMsg",
		image="backgrounds/message_chair",
	},
};

MakeDialog
{
	Bitmap
	{
		x = 0,
		y = 0,
		name="map",
		image="backgrounds/fullscreendialog",
		
		GameWindow
		{
			x=0,
			y=0,
			w=1536,
			h=1536,
		
			--[[
			Bitmap 
			{
				x=0,
				y=0,
				name="grid",
				image="backgrounds/grid_512x512_01",
			},
			Bitmap 
			{
				x=512,
				y=0,
				name="grid",
				image="backgrounds/grid_512x512_02",
			},
			Bitmap 
			{
				x=1024,
				y=0,
				name="grid",
				image="backgrounds/grid_512x512_03",
			},
			
			
			Bitmap 
			{	
				x=0,
				y=512,
				name="grid",
				image="backgrounds/grid_512x512_04",
			},
			Bitmap 
			{
				x=512,
				y=512,
				name="grid",
				image="backgrounds/grid_512x512_05",
			},
			Bitmap 
			{
				x=1024,
				y=512,
				name="grid",
				image="backgrounds/grid_512x512_06",
			},
			
			
			Bitmap 
			{
				x=0,
				y=1024,
				name="grid",
				image="backgrounds/grid_512x512_07",
			},
			Bitmap 
			{
				x=512,
				y=1024,
				name="grid",
				image="backgrounds/grid_512x512_08",
			},
			Bitmap 
			{
				x=1024,
				y=1024,
				name="grid",
				image="backgrounds/grid_512x512_09",
			},
			]]--
			
			-- --[[
			-- ]]--
			
			Button
			{
				x=0,
				y=0,
				font = StandardButtonFont,
				graphics = DigButtonGraphics,
				name="DigButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_StateDig();
					end
			},
			
			Button
			{
				x=0,
				y=0,
				font = StandardButtonFont,
				graphics = DropButtonGraphics,
				name="DropButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_StateDrop();
					end
			},
			
			Button
			{
				x=0,
				y=0,
				font = StandardButtonFont,
				graphics = DestroyButtonGraphics,
				name="DestroyButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_StateDestroy();
					end
			},
			
			Button
			{
				x=0,
				y=0,
				font = StandardButtonFont,
				graphics = CancelButtonGraphics,
				name="CancelButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_StateCancel();
					end
			},
			
			Bitmap
			{
				x=2000,
				y=2000,
				name="BarLeft",
				image="backgrounds/pole_sign_left",
			},

			Bitmap
			{
				x=2000,
				y=2000,
				name="BarRight",
				image="backgrounds/pole_sign_right",
			},

			Bitmap
			{
				x=2000,
				y=2000,
				name="Shop",
				image="backgrounds/shelf",
			},
			
			Bitmap
			{
				x=2000,
				y=2000,
				name="TutorialWindow",
				image="backgrounds/window_daisy_02",
				
				Text 
				{ 
					x = 310, 
					y = 40, 
					w = 380, 
					h = 100, 
					name = "TutorialText", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignCenter + kVAlignCenter 
				},

				Button
				{
					x=kCenter + 260,
					y=kCenter + 77,
					font = StandardButtonFont,
					graphics = SkipButtonGraphics,
					sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
					name="back",
					type = kPush,
					flags = kHAlignCenter + kVAlignCenter,
					command =
						function()
							--CPP_SetupSkipWindow();
							CPP_CloseDialogBox();
							--PopModal("message_window_larry");	
						end
				},

				Button
				{
					x=kCenter + 130,
					y=kCenter + 77,
					font = StandardButtonFont,
					graphics = SmallButtonLeftGraphics,
					sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
					name="no",
					label = "no",
					type = kPush,
					flags = kHAlignCenter + kVAlignCenter,
					command =
						function()
							CPP_SetupSkipWindow();
				        end
				},
				
				Button
				{
					x=kCenter + 260,
					y=kCenter + 77,
					font = StandardButtonFont,
					graphics = SmallButtonLeftGraphics,
					sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
					name="yes",
					label = "yes",
					type = kPush,
					flags = kHAlignCenter + kVAlignCenter,
					command =
						function()
							CPP_CloseDialogBox();	
				        end
				},
				
				FitToChildren(),
				
			},
			
			Bitmap
			{
				x=2000,
				y=2000,
				name="MessageWindow",
				image="backgrounds/window_larry_02",
				
				Text 
				{ 
					x = 0, 
					y = 0, 
					w = 270, 
					h = 100, 
					name = "TitleText1", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignCenter 
				},
				
				Text 
				{ 
					x = 0, 
					y = 0, 
					w = 270, 
					h = 100, 
					name = "TitleText2", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignCenter 
				},
				
				Text 
				{ 
					x = 0, 
					y = 0, 
					w = 270, 
					h = 100, 
					name = "TitleText3", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignCenter 
				},
				
				Text 
				{ 
					x = 0, 
					y = 0,
					w = 120, 
					h = 40, 
					name = "ToolText", 
					label = "", 
					font = SpeakBalloonFontGreen, --StandardMoneyCountFont, 
					flags = kHAlignCenter + kVAlignCenter 
				},
				
				Text 
                { 
                    x = 0, 
                    y = 0, 
                    w = 235, 
                    h = 32, 
                    name = "ToolTipRewardText", 
                    label = "", 
                    font = StandardFont, 
                    flags = kHAlignCenter + kVAlignCenter
                },
                
                Bitmap
				{
					x=0,
					y=0,
					name="RewardImg",				
					image="backgrounds/reward",
				},
				
				Button
				{
					--x=kCenter + 255,
					--y=kCenter + 57,
					x=kCenter + 260,
					y=kCenter + 77,
					font = StandardButtonFont,
					graphics = SkipButtonGraphics,
					sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
					name="SkipButton",
					type = kPush,
					flags = kHAlignCenter + kVAlignCenter,
					command =
						function()
							CPP_CloseDialogBox();	
				        end
				},
				
				Button
				{
					--x=kCenter + 255,
					--y=kCenter + 57,
					x=kCenter + 260,
					y=kCenter + 77,
					font = StandardButtonFont,
					graphics = SmallButtonRightGraphics,
					sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
					name="ViewButton",
					label="viewbutton",
					type = kPush,
					flags = kHAlignLeft + kVAlignCenter,
					command =
						function()
							CPP_CloseDialogBox();	
				        end
				},
			},

			Bitmap
			{
				x=2000,
				y=2000,
				name="WarningMsg",
				image="backgrounds/balloon_daisy",
				
				Text 
				{ 
					x = 4, 
					y = 0, 
					w = 105, 
					h = 71, 
					name = "WarningMsgText", 
					label = "", 
					font = SpeakBalloonFontMinor,--SpeakBalloonFont, 
					flags = kHAlignCenter + kVAlignCenter 
				},
			},
			
			Bitmap
			{
				x=10,
				y=10,
				name="MoneyCounter",
				image="backgrounds/money_counter",
			},
			
			Text 
			{ 
				x = 65, 
				y = 20, 
				w = 200, 
				h = 300, 
				name = "Money", 
				label = "", 
				font = StandardMoneyCountFont, 
				flags = kHAlignLeft + kVAlignTop 
			}, 

			Button
			{
				x=2000,
				y=2000,
				font = StandardButtonFont,
				graphics = ScrollLeftButtonGraphics,
				name="ScrollLeftButton",
				label="",
				sound="audio/sfx/beta_build/shop_swap_itens.ogg",
				type = kPush,
				command=
					function()
						CPP_DecreaseShopIndex();
					end
			},

			Button
			{
				x=2000,
				y=2000,
				font = StandardButtonFont,
				graphics = ScrollRightButtonGraphics,
				name="ScrollRightButton",
				label="",
				sound="audio/sfx/beta_build/shop_swap_itens.ogg",
				type = kPush,
				command=
					function()
						CPP_IncreaseShopIndex();
					end
			},
			
			Button
			{
				x=2000,
				y=2000,
				font = StandardButtonFont,
				graphics = ScrollFFLeftButtonGraphics,
				name="ScrollFFLeftButton",
				label="",
				sound="audio/sfx/beta_build/shop_swap_itens.ogg",
				type = kPush,
				command=
					function()
						CPP_DecreaseShopIndexFF();
					end
			},

			Button
			{
				x=2000,
				y=2000,
				font = StandardButtonFont,
				graphics = ScrollFFRightButtonGraphics,
				name="ScrollFFRightButton",
				label="",
				sound="audio/sfx/beta_build/shop_swap_itens.ogg",
				type = kPush,
				command=
					function()
						CPP_IncreaseShopIndexFF();
					end
			},
			
			Button
			{
				x=740,
				y=480,
				font = StandardButtonFont,
				graphics = DragButtonGraphics,
				name="DragButton",
				label="",
				type = kToggle,
				command=
					function()
						CPP_StateDrag();	
					end
			},
			
			Button
			{
				x=740,
				y=430,
				font = StandardButtonFont,
				graphics = TrashButtonGraphics,
				name="TrashButton",
				label="",
				type = kToggle,
				command=
					function()
						CPP_StateDelete();	
					end
			},

			Bitmap
			{
				x=687,
				y=518,
				name="Fence01",
				image="backgrounds/interface_fence_right_02",
			},

			Button
			{
				x=685, --690,
				y=536, --540,
				font = StandardButtonFont,
				graphics = SmallButtonRightGraphics,
				name="MenuButton",
				label="menubutton",
				sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				type = kPush,
				flags = kHAlignLeft + kVAlignCenter,
				command=
					function()
						CPP_SetPause(true);
						gamePaused=true;
						DoModal("scripts/pause.lua");
					end
			},

			Bitmap
			{
				x=0,
				y=434,
				name="Fence02",
				image="backgrounds/interface_fence_left_02",
			},

			Button
			{
				x=17,
				y=536, --540,
				font = StandardButtonFont,
				graphics = SmallButtonLeftGraphics,
				name="ShopButton",
				label="shopbutton",
				sound="audio/sfx/beta_build/shop_open_03.ogg",
				type = kPush,
				command=
					function()
						CPP_ShowShop();	
					end
			},

			Bitmap
			{
				x=3,
				y=572,
				name="FencePlant01",
				image="backgrounds/interface_fence_left_plant_02",
			},

			Button
			{
				x=0,
				y=481,
				font = MinorStandardButtonFont,--StandardButtonFont,
				graphics = MediumButtonGraphics,
				name="OverviewButton",
				label="overviewbutton",
				sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				type = kPush,
				command=
					function()
						if (CPP_ShowOverviewMain() == true) then
							CPP_SetPause(true);
							gamePaused=true;
							--CPP_ToolTipManager("overview_main");
							--CPP_EnableToolTipManager(true);
							DoModal("scripts/overview_main.lua");	
							--CPP_CheckTutorial();	
						end
					end
			},
			
			Button
			{
				x=0,
				y=0,
				graphics = BenchUpButtonGraphics,
				name="BenchUpButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_HideBenchOrientation(true, "up");
					end
			},
			
			Button
			{
				x=0,
				y=0,
				graphics = BenchDownButtonGraphics,
				name="BenchDownButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_HideBenchOrientation(true, "down");
					end
			},
			
			Button
			{
				x=0,
				y=0,
				graphics = BenchLeftButtonGraphics,
				name="BenchLeftButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_HideBenchOrientation(true, "left");
					end
			},
			
			Button
			{
				x=0,
				y=0,
				graphics = BenchRightButtonGraphics,
				name="BenchRightButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_HideBenchOrientation(true, "right");
					end
			},	
			
			Window(ToolGroup),
			Window(ToolGroup2),
			Window(NewShop),
			Window(ToolImageGroup),
			
			Bitmap
			{
				x=2000,
				y=2000,
				name="ToolTipShop",
				image="backgrounds/Tooltip_shop_01",
				
				Text 
				{
					x = 1, 
					y = 1,
					w = 151,
					h = 20,
					name = "ToolTipTitleText", 
					label = "", 
					font = SpeakBalloonFont, 
					flags = kHAlignCenter + kVAlignCenter
				},
				
				Text 
				{
					x = 1, 
					y = 1,
					w = 146,
					h = 75,
					name = "ToolTipDesText", 
					label = "", 
					font = SpeakBalloonFontGreen,
					flags = kHAlignLeft + kVAlignTop
				},
				
				Window(ToolIconGroup),
			},
		
			Window(ToolIconMsgGroup),
			Window(CertIconMsgGroup),
			Window(MedalGroup),
			
			Bitmap
			{
				x=2000,
				y=2000,
				name="ToolTip",
				image="backgrounds/tooltip_p",
				
				Text 
				{ 
					x = 0, 
					y = 0, 
					w = 106, 
					h = 31, 
					name = "ToolTipText", 
					label = "", 
					font = SpeakBalloonFont, 
					flags = kHAlignCenter + kVAlignCenter
				},
			},
			
			Bitmap
			{
				x=2000,
				y=2000,
				name="ToolTipXG",
				image="backgrounds/tooltip_xg",
					
				Text 
				{ 
					x = 0, 
					y = 0, 
					w = 191, 
					h = 31, 
					name = "ToolTipText", 
					label = "", 
					font = SpeakBalloonFont, 
					flags = kHAlignCenter + kVAlignCenter
				},
			},
		},
	},
}